"use strict";Object.defineProperty(exports,"__esModule",{value:!0});var n,e,t,a,r,i,o,s,d,c,l,u,m,p,g,f,y,A,v,I,h,S,x,C,L,b,P,D=require("apollo-link-error"),M=require("@vue-storefront/core"),R="\n  fragment DefaultAddress on Address {\n    id\n    title\n    firstName\n    lastName\n    streetName\n    streetNumber\n    postalCode\n    city\n    country\n    state\n    region\n    company\n    apartment\n    phone\n    mobile\n  }\n",F="\n  "+R+"\n\n  fragment DefaultCustomer on Customer {\n    version\n    firstName\n    lastName\n    email\n    addresses {\n      id\n    }\n    shippingAddresses {\n      ...DefaultAddress\n    }\n    billingAddresses {\n      ...DefaultAddress\n    }\n    defaultBillingAddressId\n    defaultShippingAddressId\n  }\n",N="\n  fragment DefaultProductPrice on ProductPrice {\n    discounted {\n      value {\n        type\n        currencyCode\n        centAmount\n        fractionDigits\n      }\n      discount {\n        validFrom\n        validUntil\n        isActive\n        name(acceptLanguage: $acceptLanguage)\n      }\n    }\n    value {\n      type\n      currencyCode\n      centAmount\n      fractionDigits\n    }\n  }\n",E="\n  "+N+"\n\n  fragment DefaultLineItem on LineItem {\n    id\n    productId\n    name(acceptLanguage: $acceptLanguage)\n    productSlug(acceptLanguage: $acceptLanguage)\n    quantity\n    discountedPricePerQuantity {\n      quantity\n      discountedPrice {\n        value {\n          centAmount\n        }\n        includedDiscounts {\n          discount {\n            name(acceptLanguage: $acceptLanguage)\n            isActive\n          }\n        }\n      }\n    }\n    variant {\n      id\n      sku\n      price(currency: $currency) {\n        tiers {\n          value {\n            centAmount\n          }\n        }\n        value {\n          centAmount\n        }\n        discounted {\n          value {\n            centAmount\n          }\n          discount {\n            isActive\n            name(acceptLanguage: $acceptLanguage)\n          }\n        }\n      }\n      images {\n        url\n        label\n      }\n      attributesRaw {\n        name\n        value\n        attributeDefinition {\n          type {\n            name\n          }\n          label(locale: $locale)\n        }\n      }\n    }\n    price {\n      ...DefaultProductPrice\n    }\n  }\n",O="\n  fragment DefaultShippingMethod on ShippingMethod {\n    id\n    version\n    name\n    isDefault\n    localizedDescription(acceptLanguage: $acceptLanguage)\n    zoneRates {\n      zone {\n        id\n        name\n      }\n      shippingRates {\n        freeAbove {\n          type\n          centAmount\n        }\n        isMatching\n        price {\n          centAmount\n        }\n      }\n    }\n  }\n",k="\n  fragment LocalizedStringFragment on LocalizedString {\n    value\n    locale\n  }\n",T="\n  "+k+"\n  "+R+"\n\n  fragment ChannelFragment on Channel {\n    id\n    version\n    key\n    roles\n    name(locale: $locale)\n    description(locale: $locale)\n    nameAllLocales {\n      ...LocalizedStringFragment\n    }\n    descriptionAllLocales {\n      ...LocalizedStringFragment\n    }\n    address {\n      ...DefaultAddress\n    }\n  }\n",$="\n  fragment ReferenceFragment on Reference {\n    typeId\n    id\n  }\n",B="\n  "+$+"\n\n  fragment InitiatorFragment on Initiator {\n    isPlatformClient\n    externalUserId\n    anonymousId\n    clientId\n    customerRef {\n      ...ReferenceFragment\n    }\n    userRef {\n      ...ReferenceFragment\n    }\n  }\n",z="\n  "+B+"\n\n  fragment InventoryEntryFragment on InventoryEntry {\n    id\n    sku\n    version\n    createdAt\n    lastModifiedAt\n    quantityOnStock\n    availableQuantity\n    restockableInDays\n    expectedDelivery\n    supplyChannels {\n      id\n    }\n    createdBy {\n      ...InitiatorFragment\n    }\n    lastModifiedBy {\n      ...InitiatorFragment\n    }\n  }\n",U="\n  "+k+"\n  "+T+"\n  "+B+"\n\n  fragment StoreFragment on Store {\n    id\n    version\n    key\n    languages\n    createdAt\n    lastModifiedAt\n    name (locale: $locale)\n    nameAllLocales {\n      ...LocalizedStringFragment\n    }\n    distributionChannels {\n      ...ChannelFragment\n    }\n    supplyChannels {\n      ...ChannelFragment\n    }\n    createdBy {\n      ...InitiatorFragment\n    }\n    lastModifiedBy {\n      ...InitiatorFragment\n    }\n  }\n";(n=exports.AttributeType||(exports.AttributeType={})).STRING="StringAttribute",n.DATE="DateAttribute",n.DATETIME="DateTimeAttribute",n.TIME="TimeAttribute",n.NUMBER="NumberAttribute",n.ENUM="EnumAttribute",n.LOCALIZED_ENUM="LocalizedEnumAttribute",n.LOCALIZED_STRING="LocalizedStringAttribute",n.MONEY="MoneyAttribute",n.BOOLEAN="BooleanAttribute",(e=exports.AnonymousCartSignInMode||(exports.AnonymousCartSignInMode={})).UseAsNewActiveCustomerCart="UseAsNewActiveCustomerCart",e.MergeWithExistingCustomerCart="MergeWithExistingCustomerCart",(t=exports.AttributeConstraint||(exports.AttributeConstraint={})).None="None",t.Unique="Unique",t.CombinationUnique="CombinationUnique",t.SameForAll="SameForAll",(a=exports.CartOrigin||(exports.CartOrigin={})).Merchant="Merchant",a.Customer="Customer",(r=exports.CartState||(exports.CartState={})).Ordered="Ordered",r.Merged="Merged",r.Active="Active",(i=exports.ChannelRole||(exports.ChannelRole={})).InventorySupply="InventorySupply",i.ProductDistribution="ProductDistribution",i.OrderExport="OrderExport",i.OrderImport="OrderImport",i.Primary="Primary",(o=exports.DiscountCodeState||(exports.DiscountCodeState={})).ApplicationStoppedByPreviousDiscount="ApplicationStoppedByPreviousDiscount",o.NotValid="NotValid",o.MaxApplicationReached="MaxApplicationReached",o.MatchesCart="MatchesCart",o.DoesNotMatchCart="DoesNotMatchCart",o.NotActive="NotActive",(s=exports.InventoryMode||(exports.InventoryMode={})).None="None",s.ReserveOnOrder="ReserveOnOrder",s.TrackOnly="TrackOnly",(d=exports.LineItemMode||(exports.LineItemMode={})).GiftLineItem="GiftLineItem",d.Standard="Standard",(c=exports.LineItemPriceMode||(exports.LineItemPriceMode={})).Platform="Platform",c.ExternalPrice="ExternalPrice",c.ExternalTotal="ExternalTotal",(l=exports.OrderState||(exports.OrderState={})).Confirmed="Confirmed",l.Cancelled="Cancelled",l.Complete="Complete",l.Open="Open",(u=exports.PaymentState||(exports.PaymentState={})).Paid="Paid",u.CreditOwed="CreditOwed",u.Pending="Pending",u.Failed="Failed",u.BalanceDue="BalanceDue",(m=exports.PublishScope||(exports.PublishScope={})).All="All",m.Prices="Prices",(p=exports.ReturnPaymentState||(exports.ReturnPaymentState={})).NotRefunded="NotRefunded",p.Refunded="Refunded",p.Initial="Initial",p.NonRefundable="NonRefundable",(g=exports.ReturnShipmentState||(exports.ReturnShipmentState={})).Unusable="Unusable",g.BackInStock="BackInStock",g.Returned="Returned",g.Advised="Advised",(f=exports.RoundingMode||(exports.RoundingMode={})).HalfDown="HalfDown",f.HalfUp="HalfUp",f.HalfEven="HalfEven",(y=exports.SelectionMode||(exports.SelectionMode={})).MostExpensive="MostExpensive",y.Cheapest="Cheapest",(A=exports.ShipmentState||(exports.ShipmentState={})).Delayed="Delayed",A.Backorder="Backorder",A.Partial="Partial",A.Pending="Pending",A.Ready="Ready",A.Shipped="Shipped",(v=exports.ShippingMethodState||(exports.ShippingMethodState={})).MatchesCart="MatchesCart",v.DoesNotMatchCart="DoesNotMatchCart",(I=exports.StackingMode||(exports.StackingMode={})).StopAfterThisDiscount="StopAfterThisDiscount",I.Stacking="Stacking",(h=exports.StateRole||(exports.StateRole={})).Return="Return",h.ReviewIncludedInStatistics="ReviewIncludedInStatistics",(S=exports.StateType||(exports.StateType={})).OrderState="OrderState",S.ProductState="ProductState",S.ReviewState="ReviewState",S.PaymentState="PaymentState",S.LineItemState="LineItemState",(x=exports.TaxCalculationMode||(exports.TaxCalculationMode={})).UnitPriceLevel="UnitPriceLevel",x.LineItemLevel="LineItemLevel",(C=exports.TaxMode||(exports.TaxMode={})).Disabled="Disabled",C.ExternalAmount="ExternalAmount",C.External="External",C.Platform="Platform",(L=exports.TextInputHint||(exports.TextInputHint={})).MultiLine="MultiLine",L.SingleLine="SingleLine",(b=exports.TransactionState||(exports.TransactionState={})).Failure="Failure",b.Success="Success",b.Pending="Pending",b.Initial="Initial",(P=exports.TransactionType||(exports.TransactionType={})).Chargeback="Chargeback",P.Refund="Refund",P.Charge="Charge",P.CancelAuthorization="CancelAuthorization",P.Authorization="Authorization";var w=function(){return(w=Object.assign||function(n){for(var e,t=1,a=arguments.length;t<a;t++)for(var r in e=arguments[t])Object.prototype.hasOwnProperty.call(e,r)&&(n[r]=e[r]);return n}).apply(this,arguments)},q=function(n){return Object.keys(n.contactInfo||{}).some((function(n){return["phone","email","mobile","fax"].includes(n)}))},Q=Object.freeze({__proto__:null,createAddLineItemAction:function(n){return{addLineItem:w(w({variantId:n.product.id,quantity:n.quantity,sku:n.product.sku},n.supplyChannel&&{supplyChannel:{id:n.supplyChannel}}),n.distributionChannel&&{distributionChannel:{id:n.distributionChannel}})}},createRemoveLineItemAction:function(n){return{removeLineItem:{lineItemId:n.id,quantity:n.quantity}}},createChangeLineItemQuantityAction:function(n){return{changeLineItemQuantity:{lineItemId:n.id,quantity:n.quantity}}},setShippingAddressAction:function(n){var e,t,a,r;return q(n)&&M.Logger.warn("Using `contactInfo` on Address is being deprecated in the CT API, use `email` `phone` `mobile` and `fax` fields directly."),{setShippingAddress:{address:{title:n.title,salutation:n.salutation,firstName:n.firstName,lastName:n.lastName,streetName:n.streetName,streetNumber:n.streetNumber,additionalStreetInfo:n.additionalStreetInfo,postalCode:n.postalCode,city:n.city,region:n.region,state:n.state,country:n.country,company:n.company,department:n.department,building:n.building,apartment:n.apartment,pOBox:n.pOBox,phone:n.phone||(null===(e=n.contactInfo)||void 0===e?void 0:e.phone),mobile:n.mobile||(null===(t=n.contactInfo)||void 0===t?void 0:t.mobile),email:n.email||(null===(a=n.contactInfo)||void 0===a?void 0:a.email),fax:n.fax||(null===(r=n.contactInfo)||void 0===r?void 0:r.fax),additionalAddressInfo:n.additionalAddressInfo}}}},setShippingMethodAction:function(n){return{setShippingMethod:{shippingMethod:n?{id:n}:null}}},addPayment:function(n){return{addPayment:{payment:n}}},setBillingAddressAction:function(n){var e,t,a,r;return q(n)&&M.Logger.warn("Using `contactInfo` on Address is being deprecated in the CT API, use `email` `phone` `mobile` and `fax` fields directly."),{setBillingAddress:{address:{title:n.title,salutation:n.salutation,firstName:n.firstName,lastName:n.lastName,streetName:n.streetName,streetNumber:n.streetNumber,additionalStreetInfo:n.additionalStreetInfo,postalCode:n.postalCode,city:n.city,region:n.region,state:n.state,country:n.country,company:n.company,department:n.department,building:n.building,apartment:n.apartment,pOBox:n.pOBox,phone:n.phone||(null===(e=n.contactInfo)||void 0===e?void 0:e.phone),mobile:n.mobile||(null===(t=n.contactInfo)||void 0===t?void 0:t.mobile),email:n.email||(null===(a=n.contactInfo)||void 0===a?void 0:a.email),fax:n.fax||(null===(r=n.contactInfo)||void 0===r?void 0:r.fax),additionalAddressInfo:n.additionalAddressInfo}}}},addPaymentAction:function(n){return{addPayment:{payment:{id:n}}}},addDiscountCodeAction:function(n){return{addDiscountCode:{code:n}}},removeDiscountCodeAction:function(n){return{removeDiscountCode:{discountCode:n}}},setCustomerEmail:function(n){return{setCustomerEmail:{email:n}}}});exports.AddressFragment=R,exports.CartFragment="\n  \n  fragment DefaultAddress on Address {\n    id\n    title\n    firstName\n    lastName\n    streetName\n    streetNumber\n    postalCode\n    city\n    country\n    state\n    region\n    company\n    apartment\n    phone\n    mobile\n  }\n\n  \n  \n  fragment DefaultAddress on Address {\n    id\n    title\n    firstName\n    lastName\n    streetName\n    streetNumber\n    postalCode\n    city\n    country\n    state\n    region\n    company\n    apartment\n    phone\n    mobile\n  }\n\n\n  fragment DefaultCustomer on Customer {\n    version\n    firstName\n    lastName\n    email\n    addresses {\n      id\n    }\n    shippingAddresses {\n      ...DefaultAddress\n    }\n    billingAddresses {\n      ...DefaultAddress\n    }\n    defaultBillingAddressId\n    defaultShippingAddressId\n  }\n\n  \n  \n  fragment DefaultProductPrice on ProductPrice {\n    discounted {\n      value {\n        type\n        currencyCode\n        centAmount\n        fractionDigits\n      }\n      discount {\n        validFrom\n        validUntil\n        isActive\n        name(acceptLanguage: $acceptLanguage)\n      }\n    }\n    value {\n      type\n      currencyCode\n      centAmount\n      fractionDigits\n    }\n  }\n\n\n  fragment DefaultLineItem on LineItem {\n    id\n    productId\n    name(acceptLanguage: $acceptLanguage)\n    productSlug(acceptLanguage: $acceptLanguage)\n    quantity\n    discountedPricePerQuantity {\n      quantity\n      discountedPrice {\n        value {\n          centAmount\n        }\n        includedDiscounts {\n          discount {\n            name(acceptLanguage: $acceptLanguage)\n            isActive\n          }\n        }\n      }\n    }\n    variant {\n      id\n      sku\n      price(currency: $currency) {\n        tiers {\n          value {\n            centAmount\n          }\n        }\n        value {\n          centAmount\n        }\n        discounted {\n          value {\n            centAmount\n          }\n          discount {\n            isActive\n            name(acceptLanguage: $acceptLanguage)\n          }\n        }\n      }\n      images {\n        url\n        label\n      }\n      attributesRaw {\n        name\n        value\n        attributeDefinition {\n          type {\n            name\n          }\n          label(locale: $locale)\n        }\n      }\n    }\n    price {\n      ...DefaultProductPrice\n    }\n  }\n\n  \n  fragment DefaultShippingMethod on ShippingMethod {\n    id\n    version\n    name\n    isDefault\n    localizedDescription(acceptLanguage: $acceptLanguage)\n    zoneRates {\n      zone {\n        id\n        name\n      }\n      shippingRates {\n        freeAbove {\n          type\n          centAmount\n        }\n        isMatching\n        price {\n          centAmount\n        }\n      }\n    }\n  }\n\n\n  fragment DefaultCart on Cart {\n    id\n    customerId\n    customerEmail\n    lineItems {\n      ...DefaultLineItem\n    }\n    totalPrice {\n      centAmount\n    }\n    shippingAddress {\n      ...DefaultAddress\n    }\n    billingAddress {\n      ...DefaultAddress\n    }\n    customer {\n      ...DefaultCustomer\n    }\n    totalPrice {\n      centAmount\n    }\n    taxedPrice {\n      totalNet {\n        centAmount\n      }\n      totalGross {\n        centAmount\n      }\n    }\n    paymentInfo {\n      payments {\n        id\n      }\n    }\n    shippingInfo {\n      price {\n        centAmount\n      }\n      shippingMethod {\n        ...DefaultShippingMethod\n      }\n    }\n    discountCodes {\n      discountCode {\n        id\n        code\n        isActive\n        validFrom\n        validUntil\n        name(acceptLanguage: $acceptLanguage)\n      }\n    }\n    refusedGifts {\n      isActive\n      validFrom\n      validUntil\n      name(acceptLanguage: $acceptLanguage)\n    }\n    custom {\n      customFieldsRaw {\n        name\n        value\n      }\n    }\n    cartState\n    version\n    inventoryMode\n  }\n",exports.ChannelFragment=T,exports.CustomerFragment=F,exports.InventoryEntriesQueryResultFragment="\n  \n  \n  \n  fragment ReferenceFragment on Reference {\n    typeId\n    id\n  }\n\n\n  fragment InitiatorFragment on Initiator {\n    isPlatformClient\n    externalUserId\n    anonymousId\n    clientId\n    customerRef {\n      ...ReferenceFragment\n    }\n    userRef {\n      ...ReferenceFragment\n    }\n  }\n\n\n  fragment InventoryEntryFragment on InventoryEntry {\n    id\n    sku\n    version\n    createdAt\n    lastModifiedAt\n    quantityOnStock\n    availableQuantity\n    restockableInDays\n    expectedDelivery\n    supplyChannels {\n      id\n    }\n    createdBy {\n      ...InitiatorFragment\n    }\n    lastModifiedBy {\n      ...InitiatorFragment\n    }\n  }\n\n\n  fragment InventoryEntriesQueryResultFragment on InventoryEntryQueryResult {\n    offset\n    count\n    total\n    results {\n      ...InventoryEntryFragment\n    }\n  }\n",exports.InventoryEntryFragment=z,exports.LineItemFragment=E,exports.LocalizedStringFragment=k,exports.OrderFragment="\n  \n  fragment DefaultAddress on Address {\n    id\n    title\n    firstName\n    lastName\n    streetName\n    streetNumber\n    postalCode\n    city\n    country\n    state\n    region\n    company\n    apartment\n    phone\n    mobile\n  }\n\n  \n  \n  fragment DefaultProductPrice on ProductPrice {\n    discounted {\n      value {\n        type\n        currencyCode\n        centAmount\n        fractionDigits\n      }\n      discount {\n        validFrom\n        validUntil\n        isActive\n        name(acceptLanguage: $acceptLanguage)\n      }\n    }\n    value {\n      type\n      currencyCode\n      centAmount\n      fractionDigits\n    }\n  }\n\n\n  fragment DefaultLineItem on LineItem {\n    id\n    productId\n    name(acceptLanguage: $acceptLanguage)\n    productSlug(acceptLanguage: $acceptLanguage)\n    quantity\n    discountedPricePerQuantity {\n      quantity\n      discountedPrice {\n        value {\n          centAmount\n        }\n        includedDiscounts {\n          discount {\n            name(acceptLanguage: $acceptLanguage)\n            isActive\n          }\n        }\n      }\n    }\n    variant {\n      id\n      sku\n      price(currency: $currency) {\n        tiers {\n          value {\n            centAmount\n          }\n        }\n        value {\n          centAmount\n        }\n        discounted {\n          value {\n            centAmount\n          }\n          discount {\n            isActive\n            name(acceptLanguage: $acceptLanguage)\n          }\n        }\n      }\n      images {\n        url\n        label\n      }\n      attributesRaw {\n        name\n        value\n        attributeDefinition {\n          type {\n            name\n          }\n          label(locale: $locale)\n        }\n      }\n    }\n    price {\n      ...DefaultProductPrice\n    }\n  }\n\n\n  fragment DefaultOrder on Order {\n    lineItems {\n      ...DefaultLineItem\n    }\n    totalPrice {\n      centAmount\n    }\n    orderState\n    id\n    orderNumber\n    version\n    createdAt\n    customerEmail\n    shipmentState\n    paymentState\n    shippingAddress {\n      ...DefaultAddress\n    }\n    billingAddress {\n      ...DefaultAddress\n    }\n    cart {\n      id\n      version\n    }\n  }\n",exports.ProductPriceFragment=N,exports.ReferenceFragment=$,exports.ShippingMethodFragment=O,exports.StoreFragment=U,exports.StoreQueryResultFragment="\n  \n  \n  fragment LocalizedStringFragment on LocalizedString {\n    value\n    locale\n  }\n\n  \n  \n  fragment LocalizedStringFragment on LocalizedString {\n    value\n    locale\n  }\n\n  \n  fragment DefaultAddress on Address {\n    id\n    title\n    firstName\n    lastName\n    streetName\n    streetNumber\n    postalCode\n    city\n    country\n    state\n    region\n    company\n    apartment\n    phone\n    mobile\n  }\n\n\n  fragment ChannelFragment on Channel {\n    id\n    version\n    key\n    roles\n    name(locale: $locale)\n    description(locale: $locale)\n    nameAllLocales {\n      ...LocalizedStringFragment\n    }\n    descriptionAllLocales {\n      ...LocalizedStringFragment\n    }\n    address {\n      ...DefaultAddress\n    }\n  }\n\n  \n  \n  fragment ReferenceFragment on Reference {\n    typeId\n    id\n  }\n\n\n  fragment InitiatorFragment on Initiator {\n    isPlatformClient\n    externalUserId\n    anonymousId\n    clientId\n    customerRef {\n      ...ReferenceFragment\n    }\n    userRef {\n      ...ReferenceFragment\n    }\n  }\n\n\n  fragment StoreFragment on Store {\n    id\n    version\n    key\n    languages\n    createdAt\n    lastModifiedAt\n    name (locale: $locale)\n    nameAllLocales {\n      ...LocalizedStringFragment\n    }\n    distributionChannels {\n      ...ChannelFragment\n    }\n    supplyChannels {\n      ...ChannelFragment\n    }\n    createdBy {\n      ...InitiatorFragment\n    }\n    lastModifiedBy {\n      ...InitiatorFragment\n    }\n  }\n\n\n  fragment StoreQueryResultFragment on StoreQueryResult {\n    offset\n    count\n    total\n    results {\n      ...StoreFragment\n    }\n  }\n",exports.cartActions=Q,exports.createErrorHandler=function(){return D.onError((function(n){var e=n.graphQLErrors,t=n.networkError;e&&e.map((function(n){var e=n.message,t=n.locations,a=n.path;if(!e.includes("Resource Owner Password Credentials Grant")){if(!t)return void M.Logger.error("[GraphQL error]: Message: "+e+", Path: "+a);var r=t.map((function(n){return"[column: "+n.column+", line: "+n.line+"]"}));M.Logger.error("[GraphQL error]: Message: "+e+", Location: "+r.join(", ")+", Path: "+a)}})),t&&M.Logger.error("[Network error]: "+t)}))},exports.isAnonymousSession=function(n){var e;return null===(e=null==n?void 0:n.scope)||void 0===e?void 0:e.includes("anonymous_id")},exports.isUserSession=function(n){var e;return null===(e=null==n?void 0:n.scope)||void 0===e?void 0:e.includes("customer_id")};
//# sourceMappingURL=index.cjs.js.map
