import{onError as n}from"apollo-link-error";import{Logger as e}from"@vue-storefront/core";var t,i,a,r,o,d,c,l,u,s,m,f,p,g,A,v,y,h,I,C,S,b,L,D,P,N,M,R="\n  fragment DefaultAddress on Address {\n    id\n    title\n    firstName\n    lastName\n    streetName\n    streetNumber\n    postalCode\n    city\n    country\n    state\n    region\n    company\n    apartment\n    phone\n    mobile\n  }\n",E="\n  "+R+"\n\n  fragment DefaultCustomer on Customer {\n    version\n    firstName\n    lastName\n    email\n    addresses {\n      id\n    }\n    shippingAddresses {\n      ...DefaultAddress\n    }\n    billingAddresses {\n      ...DefaultAddress\n    }\n    defaultBillingAddressId\n    defaultShippingAddressId\n  }\n",O="\n  fragment DefaultProductPrice on ProductPrice {\n    discounted {\n      value {\n        type\n        currencyCode\n        centAmount\n        fractionDigits\n      }\n      discount {\n        validFrom\n        validUntil\n        isActive\n        name(acceptLanguage: $acceptLanguage)\n      }\n    }\n    value {\n      type\n      currencyCode\n      centAmount\n      fractionDigits\n    }\n  }\n",x="\n  "+O+"\n\n  fragment DefaultLineItem on LineItem {\n    id\n    productId\n    name(acceptLanguage: $acceptLanguage)\n    productSlug(acceptLanguage: $acceptLanguage)\n    quantity\n    discountedPricePerQuantity {\n      quantity\n      discountedPrice {\n        value {\n          centAmount\n        }\n        includedDiscounts {\n          discount {\n            name(acceptLanguage: $acceptLanguage)\n            isActive\n          }\n        }\n      }\n    }\n    variant {\n      id\n      sku\n      price(currency: $currency) {\n        tiers {\n          value {\n            centAmount\n          }\n        }\n        value {\n          centAmount\n        }\n        discounted {\n          value {\n            centAmount\n          }\n          discount {\n            isActive\n            name(acceptLanguage: $acceptLanguage)\n          }\n        }\n      }\n      images {\n        url\n        label\n      }\n      attributesRaw {\n        name\n        value\n        attributeDefinition {\n          type {\n            name\n          }\n          label(locale: $locale)\n        }\n      }\n    }\n    price {\n      ...DefaultProductPrice\n    }\n  }\n",F="\n  fragment DefaultShippingMethod on ShippingMethod {\n    id\n    version\n    name\n    isDefault\n    localizedDescription(acceptLanguage: $acceptLanguage)\n    zoneRates {\n      zone {\n        id\n        name\n      }\n      shippingRates {\n        freeAbove {\n          type\n          centAmount\n        }\n        isMatching\n        price {\n          centAmount\n        }\n      }\n    }\n  }\n",k="\n  "+R+"\n  "+E+"\n  "+x+"\n  "+F+"\n\n  fragment DefaultCart on Cart {\n    id\n    customerId\n    customerEmail\n    lineItems {\n      ...DefaultLineItem\n    }\n    totalPrice {\n      centAmount\n    }\n    shippingAddress {\n      ...DefaultAddress\n    }\n    billingAddress {\n      ...DefaultAddress\n    }\n    customer {\n      ...DefaultCustomer\n    }\n    totalPrice {\n      centAmount\n    }\n    taxedPrice {\n      totalNet {\n        centAmount\n      }\n      totalGross {\n        centAmount\n      }\n    }\n    paymentInfo {\n      payments {\n        id\n      }\n    }\n    shippingInfo {\n      price {\n        centAmount\n      }\n      shippingMethod {\n        ...DefaultShippingMethod\n      }\n    }\n    discountCodes {\n      discountCode {\n        id\n        code\n        isActive\n        validFrom\n        validUntil\n        name(acceptLanguage: $acceptLanguage)\n      }\n    }\n    refusedGifts {\n      isActive\n      validFrom\n      validUntil\n      name(acceptLanguage: $acceptLanguage)\n    }\n    custom {\n      customFieldsRaw {\n        name\n        value\n      }\n    }\n    cartState\n    version\n    inventoryMode\n  }\n",B="\n  fragment LocalizedStringFragment on LocalizedString {\n    value\n    locale\n  }\n",U="\n  "+B+"\n  "+R+"\n\n  fragment ChannelFragment on Channel {\n    id\n    version\n    key\n    roles\n    name(locale: $locale)\n    description(locale: $locale)\n    nameAllLocales {\n      ...LocalizedStringFragment\n    }\n    descriptionAllLocales {\n      ...LocalizedStringFragment\n    }\n    address {\n      ...DefaultAddress\n    }\n  }\n",w="\n  fragment ReferenceFragment on Reference {\n    typeId\n    id\n  }\n",T="\n  "+w+"\n\n  fragment InitiatorFragment on Initiator {\n    isPlatformClient\n    externalUserId\n    anonymousId\n    clientId\n    customerRef {\n      ...ReferenceFragment\n    }\n    userRef {\n      ...ReferenceFragment\n    }\n  }\n",z="\n  "+T+"\n\n  fragment InventoryEntryFragment on InventoryEntry {\n    id\n    sku\n    version\n    createdAt\n    lastModifiedAt\n    quantityOnStock\n    availableQuantity\n    restockableInDays\n    expectedDelivery\n    supplyChannels {\n      id\n    }\n    createdBy {\n      ...InitiatorFragment\n    }\n    lastModifiedBy {\n      ...InitiatorFragment\n    }\n  }\n",q="\n  "+z+"\n\n  fragment InventoryEntriesQueryResultFragment on InventoryEntryQueryResult {\n    offset\n    count\n    total\n    results {\n      ...InventoryEntryFragment\n    }\n  }\n",$="\n  "+R+"\n  "+x+"\n\n  fragment DefaultOrder on Order {\n    lineItems {\n      ...DefaultLineItem\n    }\n    totalPrice {\n      centAmount\n    }\n    orderState\n    id\n    orderNumber\n    version\n    createdAt\n    customerEmail\n    shipmentState\n    paymentState\n    shippingAddress {\n      ...DefaultAddress\n    }\n    billingAddress {\n      ...DefaultAddress\n    }\n    cart {\n      id\n      version\n    }\n  }\n",Q="\n  "+B+"\n  "+U+"\n  "+T+"\n\n  fragment StoreFragment on Store {\n    id\n    version\n    key\n    languages\n    createdAt\n    lastModifiedAt\n    name (locale: $locale)\n    nameAllLocales {\n      ...LocalizedStringFragment\n    }\n    distributionChannels {\n      ...ChannelFragment\n    }\n    supplyChannels {\n      ...ChannelFragment\n    }\n    createdBy {\n      ...InitiatorFragment\n    }\n    lastModifiedBy {\n      ...InitiatorFragment\n    }\n  }\n",G="\n  "+Q+"\n\n  fragment StoreQueryResultFragment on StoreQueryResult {\n    offset\n    count\n    total\n    results {\n      ...StoreFragment\n    }\n  }\n";!function(n){n.STRING="StringAttribute",n.DATE="DateAttribute",n.DATETIME="DateTimeAttribute",n.TIME="TimeAttribute",n.NUMBER="NumberAttribute",n.ENUM="EnumAttribute",n.LOCALIZED_ENUM="LocalizedEnumAttribute",n.LOCALIZED_STRING="LocalizedStringAttribute",n.MONEY="MoneyAttribute",n.BOOLEAN="BooleanAttribute"}(t||(t={})),function(n){n.UseAsNewActiveCustomerCart="UseAsNewActiveCustomerCart",n.MergeWithExistingCustomerCart="MergeWithExistingCustomerCart"}(i||(i={})),function(n){n.None="None",n.Unique="Unique",n.CombinationUnique="CombinationUnique",n.SameForAll="SameForAll"}(a||(a={})),function(n){n.Merchant="Merchant",n.Customer="Customer"}(r||(r={})),function(n){n.Ordered="Ordered",n.Merged="Merged",n.Active="Active"}(o||(o={})),function(n){n.InventorySupply="InventorySupply",n.ProductDistribution="ProductDistribution",n.OrderExport="OrderExport",n.OrderImport="OrderImport",n.Primary="Primary"}(d||(d={})),function(n){n.ApplicationStoppedByPreviousDiscount="ApplicationStoppedByPreviousDiscount",n.NotValid="NotValid",n.MaxApplicationReached="MaxApplicationReached",n.MatchesCart="MatchesCart",n.DoesNotMatchCart="DoesNotMatchCart",n.NotActive="NotActive"}(c||(c={})),function(n){n.None="None",n.ReserveOnOrder="ReserveOnOrder",n.TrackOnly="TrackOnly"}(l||(l={})),function(n){n.GiftLineItem="GiftLineItem",n.Standard="Standard"}(u||(u={})),function(n){n.Platform="Platform",n.ExternalPrice="ExternalPrice",n.ExternalTotal="ExternalTotal"}(s||(s={})),function(n){n.Confirmed="Confirmed",n.Cancelled="Cancelled",n.Complete="Complete",n.Open="Open"}(m||(m={})),function(n){n.Paid="Paid",n.CreditOwed="CreditOwed",n.Pending="Pending",n.Failed="Failed",n.BalanceDue="BalanceDue"}(f||(f={})),function(n){n.All="All",n.Prices="Prices"}(p||(p={})),function(n){n.NotRefunded="NotRefunded",n.Refunded="Refunded",n.Initial="Initial",n.NonRefundable="NonRefundable"}(g||(g={})),function(n){n.Unusable="Unusable",n.BackInStock="BackInStock",n.Returned="Returned",n.Advised="Advised"}(A||(A={})),function(n){n.HalfDown="HalfDown",n.HalfUp="HalfUp",n.HalfEven="HalfEven"}(v||(v={})),function(n){n.MostExpensive="MostExpensive",n.Cheapest="Cheapest"}(y||(y={})),function(n){n.Delayed="Delayed",n.Backorder="Backorder",n.Partial="Partial",n.Pending="Pending",n.Ready="Ready",n.Shipped="Shipped"}(h||(h={})),function(n){n.MatchesCart="MatchesCart",n.DoesNotMatchCart="DoesNotMatchCart"}(I||(I={})),function(n){n.StopAfterThisDiscount="StopAfterThisDiscount",n.Stacking="Stacking"}(C||(C={})),function(n){n.Return="Return",n.ReviewIncludedInStatistics="ReviewIncludedInStatistics"}(S||(S={})),function(n){n.OrderState="OrderState",n.ProductState="ProductState",n.ReviewState="ReviewState",n.PaymentState="PaymentState",n.LineItemState="LineItemState"}(b||(b={})),function(n){n.UnitPriceLevel="UnitPriceLevel",n.LineItemLevel="LineItemLevel"}(L||(L={})),function(n){n.Disabled="Disabled",n.ExternalAmount="ExternalAmount",n.External="External",n.Platform="Platform"}(D||(D={})),function(n){n.MultiLine="MultiLine",n.SingleLine="SingleLine"}(P||(P={})),function(n){n.Failure="Failure",n.Success="Success",n.Pending="Pending",n.Initial="Initial"}(N||(N={})),function(n){n.Chargeback="Chargeback",n.Refund="Refund",n.Charge="Charge",n.CancelAuthorization="CancelAuthorization",n.Authorization="Authorization"}(M||(M={}));var _=function(n){var e;return null===(e=null==n?void 0:n.scope)||void 0===e?void 0:e.includes("anonymous_id")},H=function(n){var e;return null===(e=null==n?void 0:n.scope)||void 0===e?void 0:e.includes("customer_id")},j=function(){return n((function(n){var t=n.graphQLErrors,i=n.networkError;t&&t.map((function(n){var t=n.message,i=n.locations,a=n.path;if(!t.includes("Resource Owner Password Credentials Grant")){if(!i)return void e.error("[GraphQL error]: Message: "+t+", Path: "+a);var r=i.map((function(n){return"[column: "+n.column+", line: "+n.line+"]"}));e.error("[GraphQL error]: Message: "+t+", Location: "+r.join(", ")+", Path: "+a)}})),i&&e.error("[Network error]: "+i)}))},V=function(){return(V=Object.assign||function(n){for(var e,t=1,i=arguments.length;t<i;t++)for(var a in e=arguments[t])Object.prototype.hasOwnProperty.call(e,a)&&(n[a]=e[a]);return n}).apply(this,arguments)},W=function(n){return Object.keys(n.contactInfo||{}).some((function(n){return["phone","email","mobile","fax"].includes(n)}))},Z=Object.freeze({__proto__:null,createAddLineItemAction:function(n){return{addLineItem:V(V({variantId:n.product.id,quantity:n.quantity,sku:n.product.sku},n.supplyChannel&&{supplyChannel:{id:n.supplyChannel}}),n.distributionChannel&&{distributionChannel:{id:n.distributionChannel}})}},createRemoveLineItemAction:function(n){return{removeLineItem:{lineItemId:n.id,quantity:n.quantity}}},createChangeLineItemQuantityAction:function(n){return{changeLineItemQuantity:{lineItemId:n.id,quantity:n.quantity}}},setShippingAddressAction:function(n){var t,i,a,r;return W(n)&&e.warn("Using `contactInfo` on Address is being deprecated in the CT API, use `email` `phone` `mobile` and `fax` fields directly."),{setShippingAddress:{address:{title:n.title,salutation:n.salutation,firstName:n.firstName,lastName:n.lastName,streetName:n.streetName,streetNumber:n.streetNumber,additionalStreetInfo:n.additionalStreetInfo,postalCode:n.postalCode,city:n.city,region:n.region,state:n.state,country:n.country,company:n.company,department:n.department,building:n.building,apartment:n.apartment,pOBox:n.pOBox,phone:n.phone||(null===(t=n.contactInfo)||void 0===t?void 0:t.phone),mobile:n.mobile||(null===(i=n.contactInfo)||void 0===i?void 0:i.mobile),email:n.email||(null===(a=n.contactInfo)||void 0===a?void 0:a.email),fax:n.fax||(null===(r=n.contactInfo)||void 0===r?void 0:r.fax),additionalAddressInfo:n.additionalAddressInfo}}}},setShippingMethodAction:function(n){return{setShippingMethod:{shippingMethod:n?{id:n}:null}}},addPayment:function(n){return{addPayment:{payment:n}}},setBillingAddressAction:function(n){var t,i,a,r;return W(n)&&e.warn("Using `contactInfo` on Address is being deprecated in the CT API, use `email` `phone` `mobile` and `fax` fields directly."),{setBillingAddress:{address:{title:n.title,salutation:n.salutation,firstName:n.firstName,lastName:n.lastName,streetName:n.streetName,streetNumber:n.streetNumber,additionalStreetInfo:n.additionalStreetInfo,postalCode:n.postalCode,city:n.city,region:n.region,state:n.state,country:n.country,company:n.company,department:n.department,building:n.building,apartment:n.apartment,pOBox:n.pOBox,phone:n.phone||(null===(t=n.contactInfo)||void 0===t?void 0:t.phone),mobile:n.mobile||(null===(i=n.contactInfo)||void 0===i?void 0:i.mobile),email:n.email||(null===(a=n.contactInfo)||void 0===a?void 0:a.email),fax:n.fax||(null===(r=n.contactInfo)||void 0===r?void 0:r.fax),additionalAddressInfo:n.additionalAddressInfo}}}},addPaymentAction:function(n){return{addPayment:{payment:{id:n}}}},addDiscountCodeAction:function(n){return{addDiscountCode:{code:n}}},removeDiscountCodeAction:function(n){return{removeDiscountCode:{discountCode:n}}},setCustomerEmail:function(n){return{setCustomerEmail:{email:n}}}});export{R as AddressFragment,i as AnonymousCartSignInMode,a as AttributeConstraint,t as AttributeType,k as CartFragment,r as CartOrigin,o as CartState,U as ChannelFragment,d as ChannelRole,E as CustomerFragment,c as DiscountCodeState,q as InventoryEntriesQueryResultFragment,z as InventoryEntryFragment,l as InventoryMode,x as LineItemFragment,u as LineItemMode,s as LineItemPriceMode,B as LocalizedStringFragment,$ as OrderFragment,m as OrderState,f as PaymentState,O as ProductPriceFragment,p as PublishScope,w as ReferenceFragment,g as ReturnPaymentState,A as ReturnShipmentState,v as RoundingMode,y as SelectionMode,h as ShipmentState,F as ShippingMethodFragment,I as ShippingMethodState,C as StackingMode,S as StateRole,b as StateType,Q as StoreFragment,G as StoreQueryResultFragment,L as TaxCalculationMode,D as TaxMode,P as TextInputHint,N as TransactionState,M as TransactionType,Z as cartActions,j as createErrorHandler,_ as isAnonymousSession,H as isUserSession};
//# sourceMappingURL=index.es.js.map
